Should KDE join the (Digital) Global Climate Strike this friday?
Closed, ResolvedPublic

Description

This friday (september the 20th), people in more than 515 German and more than 3500 places worldwide go protest on the streets to draw attention to the rising climate crisis.

Should KDE join this protests and show solidarity with the protesters?

There are some ways to do so:

  1. create and publish a social media post showing KDE's support for the movement
  1. join the website strike (https://digital.globalclimatestrike.net/ https://github.com/fightforthefuture/digital-climate-strike): Globalclimatestrike.net coordinates an campaign to bring websites to climate strike for one day.

How the website strike works: On all participating sites a full-page banner is shown (screenshots can be found at https://github.com/fightforthefuture/digital-climate-strike) which illustrates the participation in the global climate strike. Optionally, the banner could be made closable so the website remains usable.

Including the banner is as easy as embedding an additional javascript in the website's code, which is MIT-licensed and which can be found at https://github.com/fightforthefuture/digital-climate-strike .

Until now, more than 5.000 websites joined this online protest, among them popular websites like Greenpeace, Tumblr, Kickstarter, WordPress, Burton, Tor und BitTorrent.

KDE could be the next popular website, and one of the first free software communities participating in this hopefully succesful turning point in human history.


What do you think about KDE participating in the (Digital) Global Climate Strike? Should we do it? And how? Or should we not do it?

In my opinion, KDE should not only engage in his "main business" (amazing) free software and all its associated topics, but also topics concerning the wider environment KDE's software runs in.

One first step would be joining the Global Climate Strike to ensure future generations can enjoy KDE's software as we did, and ensure KDE still exists in 100s and 1.000s of years.

The most important part in KDE's community are the people, but which people should be part of KDE when humanity disposes itself due to the extreme climate crisis?

cahfofpai renamed this task from Should KDE join the (Digital) Global Climate Protest this friday? to Should KDE join the (Digital) Global Climate Strike this friday?.Sep 18 2019, 3:10 PM
davidc added a subscriber: davidc.Sep 19 2019, 6:38 AM

I think we could at least do social media posts in support of the strike. A decision on the banner can't be made by Promo alone, and based on lack of input on the mailing list, I don't think we're going to be able to do that.

As someone who has been deeply involved in the climate justice movement for quite a while now, I can say that the global climate strike is going to be the biggest and most important event for the climate that we've had in a long time.

If I were still on the board, I'd definitely vote for doing both social media posts and banner.

Thank you for bringing up this idea!

I just saw that the board had already signaled its support for this 12 minutes before my comment anyway, so it seems like we're all in agreement :)

lydia added a subscriber: lydia.Sep 21 2019, 9:29 AM

Assuming we can close this.

lydia closed this task as Resolved.Sep 21 2019, 9:29 AM
lydia claimed this task.
lydia removed lydia as the assignee of this task.